
import 'package:ernaehrung/web/web_app.dart';
import 'package:flutter/material.dart';
import 'package:hive_flutter/hive_flutter.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';
import 'android/andoird_app.dart';
import 'android/config/setup_todaybox_config.dart';
import 'android/models/food.dart';
import 'package:flutter/foundation.dart' show defaultTargetPlatform, kIsWeb;

void main() async {
  await dotenv.load(fileName: ".env");
  await Hive.initFlutter();

  if (!Hive.isAdapterRegistered(1)) {
    Hive.registerAdapter(FoodAdapter());
  }


  await Hive.openBox(dotenv.env['TODAY_BOX']!);
  await setupTodayBox();

  if(defaultTargetPlatform == TargetPlatform.android){
    runApp(const AndroidApp());
  }else if(kIsWeb){
    runApp(const WebApp());
  }
}